%global dlrn_nvr os-brick-2.10.5-1.20201114041628.634fb4a
%global dlrn 1
%define upstream_version 2.10.5
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name os-brick

%global with_doc 0

%global common_desc \
OpenStack Cinder brick library for managing local volume attaches

Name:           python-%{pypi_name}
Version: 2.10.5
Release: 1.20201114041631%{?dist}
Summary:        OpenStack Cinder brick library for managing local volume attaches

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0: os-brick-2.10.5-1.20201114041628.634fb4a.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=634fb4a9aa9cb71106e69cd78ec18a0b849d077a
Patch0001: 0001-ScaleIO-Connection-info-backward-compatibility-DOWNS.patch
Patch0002: 0002-Replace-sg_scan-with-lsscsi-to-get-H-C-T-L.patch
Patch0003: 0003-ScaleIO-More-connection-info-backward-compatibility.patch
Patch0004: 0004-FC-Fix-not-flushing-on-detach.patch
Patch0005: 0005-Improve-error-handling-on-target-query.patch

BuildArch:      noarch

%description
%{common_desc}

%package -n python%{pyver}-%{pypi_name}
Summary:        OpenStack Cinder brick library for managing local volume attaches
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}
Provides:       os-brick = %{version}-%{release}

Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-babel >= 2.3.4
Requires:       python%{pyver}-eventlet >= 0.18.2
Requires:       python%{pyver}-oslo-concurrency >= 3.26.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-service >= 1.24.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-requests >= 2.14.2
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-oslo-privsep >= 1.32.0
Requires:       python%{pyver}-os-win >= 3.0.0
Requires:       cryptsetup
Requires:       device-mapper-multipath
Requires:       iscsi-initiator-utils
Requires:       lsscsi
Requires:       lvm2
Requires:       nfs-utils
Requires:       sg3_utils
Requires:       sysfsutils

# Handle python2 exception
%if %{pyver} == 2
Requires:       python-retrying
%else
Requires:       python%{pyver}-retrying
%endif

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-ddt
BuildRequires:  python%{pyver}-pbr >= 2.0.0
BuildRequires:  git
BuildRequires:  python%{pyver}-reno
BuildRequires:  python%{pyver}-oslo-concurrency  >= 3.8.0
BuildRequires:  python%{pyver}-oslo-i18n >= 3.15.3
BuildRequires:  python%{pyver}-oslo-log >= 3.36.0
BuildRequires:  python%{pyver}-oslo-service >= 1.24.0
BuildRequires:  python%{pyver}-os-win
BuildRequires:  python%{pyver}-requests >= 2.14.2
BuildRequires:  python%{pyver}-six >= 1.10.0
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-oslo-privsep >= 1.32.0

%if 0%{?with_doc}
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinx
%endif

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-retrying
%else
BuildRequires:  python%{pyver}-retrying
%endif

%description -n python%{pyver}-%{pypi_name}
%{common_desc}

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git


%build
%{pyver_build}

%install
%{pyver_install}

%if 0%{?with_doc}
# generate html docs
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# Move config files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap
mv %{buildroot}/usr/etc/os-brick/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap

%files -n python%{pyver}-%{pypi_name}
%license LICENSE
%if 0%{?with_doc}
%doc doc/build/html
%endif
%doc README.rst
%{pyver_sitelib}/os_brick*
%{_datarootdir}/%{pypi_name}
%exclude %{pyver_sitelib}/os_brick/tests

%changelog
* Mon Apr 12 2021 Rajat <rdhasman@redhat.com> 2.10.5-1.20201114041631
- Improve error handling on target query (rhbz#1916337)

* Fri Mar 19 2021 Rajat <rdhasman@redhat.com> 2.10.5-1.20201114041630
- FC: Fix not flushing on detach (rhbz#1940548)

* Wed Feb 17 2021 Alan Bishop <abishop@redhat.com> 2.10.5-1.20201114041629
- ScaleIO: More connection info backward compatibility (rhbz#1929275)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-3
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-3
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-2
- Update patches

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-2
- Update patches

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- Replace sg_scan with lsscsi to get '[H:C:T:L]' (rhbz#1872211)
- ScaleIO: Connection info backward compatibility (DOWNSTREAM) (rhbz#1869346)

* Mon Sep 14 2020 Pablo Caruana <pcaruana@redhat.com> 2.10.5-1.20200904201023
- rbd: Warn if ceph udev rules are not configured (rhbz#1848610)
- rbd: Support 'rbd showmapped' output from ceph 13.2.0+ (rhbz#1848417)
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- ScaleIO: Connection info backward compatibility (DOWNSTREAM) (rhbz#1869346)
- Leverage the iSCSI mpath to get the WWN
- iSCSI detect multipath DM with no WWN
- rbd: Warn if ceph udev rules are not configured
- Improve WWN detection
- rbd: Support 'rbd showmapped' output from ceph 13.2.0+
- Add release note for scaleio connector upgrade
- ScaleIO: Connection info backward compatibility
- Port the os-bricks jobs to Zuul v3
- rbd: Correct local_attach disconnect test and showmapped arguments

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- Replace sg_scan with lsscsi to get '[H:C:T:L]' (rhbz#1872211)
- ScaleIO: Connection info backward compatibility (rhbz#1869346)
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)

* Tue Sep 01 2020 Pablo Caruana <pcaruana@redhat.com> 2.10.4-1.20200831150450
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- Replace sg_scan with lsscsi to get '[H:C:T:L]' (rhbz#1872211)
- ScaleIO: Connection info backward compatibility (rhbz#1869346)
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)

* Mon Aug 31 2020 Pablo Caruana <pcaruana@redhat.com> 2.10.4-1.20200819013360
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- Update patches

* Tue Aug 18 2020 Alan Bishop <abishop@redhat.com> 2.10.4-0.20200624084658.12d252d
- ScaleIO: Connection info backward compatibility (rhbz#1869346)
- rbd: Warn if ceph udev rules are not configured (rhbz#1848610)
- rbd: Support 'rbd showmapped' output from ceph 13.2.0+ (rhbz#1848417)

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.4-1
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)
- Fix "Remove VxFlex OS credentials" regression

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.3-1
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.2-1
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)
- Remove VxFlex OS credentials from connection_properties
- rbd: Use showmapped to find the root RBD device during disconnect_volume

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.2-1
- Update patches

* Tue May 19 2020 Lee Yarwood <lyarwood@redhat.com> 2.10.2-0.20200327163437.a8190cd
- rbd: Correct local_attach disconnect test and showmapped arguments (rhbz#1824112)
- rbd: Use showmapped to find the root RBD device during disconnect_volume (rhbz#1824112)

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.2-1
- Update patches

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches
- Read mounts from /proc/mounts instead of running mount
- Skip cryptsetup password quality checking
- Split connector list by platform

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 2.10.1-1
- Update patches
- iscsi: Add _get_device_link retry when waiting for /dev/disk/by-id/ to populate
- Fix FC scan too broad
- Remove VxFlexOS connector external dependencies
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> 2.10.0-1
- Update patches

* Fri Sep 20 2019 RDO <dev@lists.rdoproject.org> 2.10.0-1
- Update to 2.10.0

